<?php

class UpdaterForm extends Form
{

    public function __construct()
    {

        $this->add(array(
            'name' => 'id',
            'type'  => 'hidden',
        ));

        $this->add(array(
            'name' => 'oldDbName',
            'type'  => 'text',
            'label' => 'Old database name: ',
				'guide' => 'Enter the name of the old database.',
				'validation' => 'dbIdentifier',
        ));

        $this->add(array(
            'name' => 'oldDbTbPrefix',
            'type'  => 'text',
            'label' => 'Old database, table prefix: ',
            'value' => 'am1_',
				'guide' => 'Enter the prefix for tables in old database.',
				'validation' => 'dbIdentifier',
        ));

        $this->add(array(
            'name' => 'newDbName',
            'type'  => 'text',
            'label' => 'New database name: ',
				'guide' => 'Enter the name of the new database.',
				'validation' => 'dbIdentifier',
        ));

        $this->add(array(
            'name' => 'newDbTbPrefix',
            'type'  => 'text',
            'label' => 'New database, table prefix: ',
            'value' => 'am1_',
				'guide' => 'Enter the prefix for tables in new database.',
				'validation' => 'dbIdentifier',
        ));

		$this->add(array(
			'name' => 'contentCb',
			'type' => 'checkbox',
			'value' => 0,
			'label' => '',
		));

        $this->add(array(
            'name' => 'submit1',
            'type'  => 'submit',
            'value' => 'Find differences',
            'id' => 'submitbutton',
        ));
        
        $this->add(array(
            'name' => 'submit2',
            'type'  => 'submit',
            'value' => 'Update chosen table fields',
            'id' => 'submitbutton',
        ));
        
        $this->add(array(
            'name' => 'begin',
            'type'  => 'begin',
            'value' => '#',
            'id' => 'begin',
				'attributes'  => array(
					'method' => 'post',
 					'accept-charset' => 'UTF-8',
 					'enctype' => 'multipart/form-data',
				),

        ));
        $this->add(array(
            'name' => 'end',
            'type'  => 'end',
        ));
    }

}
